Index: channels/chan_zap.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_zap.c,v
retrieving revision 1.408
diff -u -r1.408 chan_zap.c
--- channels/chan_zap.c	10 Feb 2005 17:40:06 -0000	1.408
+++ channels/chan_zap.c	22 Feb 2005 00:33:10 -0000
@@ -2624,6 +2624,11 @@
 	int oi1, oi2, i1 = -1, i2 = -1, t1, t2;
 	int os1 = -1, os2 = -1;
 	struct ast_channel *oc1, *oc2;
+#ifdef PRI_2BCT
+	int triedtopribridge = 0;
+	q931_call *q931c0 = NULL, *q931c1 = NULL;
+#endif
+
 
 	/* if need DTMF, cant native bridge */
 	if (flags & (AST_BRIDGE_DTMF_CHANNEL_0 | AST_BRIDGE_DTMF_CHANNEL_1))
@@ -2791,6 +2796,15 @@
 		ast_mutex_lock(&c1->lock);
 		p0 = c0->pvt->pvt;
 		p1 = c1->pvt->pvt;
+
+#ifdef PRI_2BCT
+		q931c0 = p0->call;
+		q931c1 = p1->call;
+		if (q931c0 && q931c1 && !triedtopribridge) {
+			pri_channel_bridge(q931c0, q931c1);
+			triedtopribridge = 1;
+		}
+#endif
 		if (op0 == p0)
 			i1 = zt_get_index(c0, p0, 1);
 		if (op1 == p1)
 
